apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx
  namespace: acid
spec:
  replicas: 1
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx
        ports:
        - containerPort: 80
      serviceAccount: operator  #this is where your service account is specified
      hostNetwork: true
